/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 查询接口--数据传输对象：脚本信息表
*
* createdate:  2022-10-18 17:29:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本信息表")
public class AtuScriptInfoQueryDto implements Serializable
{
    /**
     * 关键字<br>
     */
    @ApiModelProperty("关键字")
    @Size(max = 30, message="关键字-keyWord: 数据长度不能 > 30" )
    private String keyword;
    /**
     * 脚本名称<br>
     */
    @ApiModelProperty("脚本名称")
    @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
    private String scriptName;
    /**
     * 脚本类型<br>
     */
    @ApiModelProperty("脚本类型")
    @Size(max = 32, message="脚本类型-scriptType: 数据长度不能 > 32" )
    private String scriptType;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-creator: 数据长度不能 > 32" )
    private String creator;

    @ApiModelProperty("创建人id列表")
    private List<String> creatorIds;

    @ApiModelProperty("系统id列表")
    private List<String> projectIds;

    @ApiModelProperty("目录id列表")
    private List<String> groupIds;

    @ApiModelProperty("所选目录id")
    private String groupId;

    @ApiModelProperty("是否删除 0-否 1-是")
    @Size(max = 1, message="是否删除-isDeleted: 数据长度不能 > 1" )
    private String isDeleted;

    @ApiModelProperty("脚本负责人id")
    private List<String> principalIds;

    @ApiModelProperty("脚本负责人")
    @Size(max = 32, message="创建人-principal: 数据长度不能 > 32" )
    private String principal;

    @ApiModelProperty("修改人")
    @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
    private String updatedName;

    @ApiModelProperty("修改人Id列表")
    private List<String> updatedBys;

    @ApiModelProperty("创建时间开始")
    private String createdTimeStart;
    @ApiModelProperty("创建时间结束")
    private String createdTimeEnd;
    @ApiModelProperty("修改时间开始")
    private String updatedTimeStart;
    @ApiModelProperty("修改时间结束")
    private String updatedTimeEnd;

    private Date startCreatedTime;

    private Date endCreatedTime;

    private Date startUpdatedTime;

    private Date endUpdatedTime;

    @ApiModelProperty("租户号")
    private String tenantId;

    public String getScriptCode() {
        return scriptCode;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    private String scriptCode;

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    private String creatorId;

    private String principalId;

    private String updateBy;

    public List<String> getGroupIds() {
        return groupIds;
    }

    public void setGroupIds(List<String> groupIds) {
        this.groupIds = groupIds;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public List<String> getCreatorIds() {
        return creatorIds;
    }

    public void setCreatorIds(List<String> creatorIds) {
        this.creatorIds = creatorIds;
    }

    public List<String> getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(List<String> projectIds) {
        this.projectIds = projectIds;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptType() {
        return scriptType;
    }

    public void setScriptType(String scriptType) {
        this.scriptType = scriptType;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public List<String> getPrincipalIds() {
        return principalIds;
    }

    public void setPrincipalIds(List<String> principalIds) {
        this.principalIds = principalIds;
    }

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public String getUpdatedName() {
        return updatedName;
    }

    public void setUpdatedName(String updatedName) {
        this.updatedName = updatedName;
    }

    public List<String> getUpdatedBys() {
        return updatedBys;
    }

    public void setUpdatedBys(List<String> updatedBys) {
        this.updatedBys = updatedBys;
    }

    public String getCreatedTimeStart() {
        return createdTimeStart;
    }

    public void setCreatedTimeStart(String createdTimeStart) {
        this.createdTimeStart = createdTimeStart;
    }

    public String getCreatedTimeEnd() {
        return createdTimeEnd;
    }

    public void setCreatedTimeEnd(String createdTimeEnd) {
        this.createdTimeEnd = createdTimeEnd;
    }

    public String getUpdatedTimeStart() {
        return updatedTimeStart;
    }

    public void setUpdatedTimeStart(String updatedTimeStart) {
        this.updatedTimeStart = updatedTimeStart;
    }

    public String getUpdatedTimeEnd() {
        return updatedTimeEnd;
    }

    public void setUpdatedTimeEnd(String updatedTimeEnd) {
        this.updatedTimeEnd = updatedTimeEnd;
    }

    public Date getStartCreatedTime() {
        return startCreatedTime;
    }

    public void setStartCreatedTime(Date startCreatedTime) {
        this.startCreatedTime = startCreatedTime;
    }

    public Date getEndCreatedTime() {
        return endCreatedTime;
    }

    public void setEndCreatedTime(Date endCreatedTime) {
        this.endCreatedTime = endCreatedTime;
    }

    public Date getStartUpdatedTime() {
        return startUpdatedTime;
    }

    public void setStartUpdatedTime(Date startUpdatedTime) {
        this.startUpdatedTime = startUpdatedTime;
    }

    public Date getEndUpdatedTime() {
        return endUpdatedTime;
    }

    public void setEndUpdatedTime(Date endUpdatedTime) {
        this.endUpdatedTime = endUpdatedTime;
    }
}